import 'dart:async';

import 'package:flutter/services.dart';

class FileproviderPlugin {
  static String filecontents;
  static const MethodChannel _channel =
      const MethodChannel('fileprovider_plugin');

  static Future<String> getFileContents(String filename) async {
    final String contents = await _channel.invokeMethod('getFileContents', [filename]);
    filecontents = contents; // make contents accessible
    return contents;
  }
}
